Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction.injac.actions
Class MetadataManagerAction

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.injac.actions.MetadataManagerAction

public class MetadataManagerAction
extends java.lang.Object

Id: MetadataManagerAction.java,v 1.0 27 oct. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: MetadataManagerAction Original Author: Yohan Colmant Actions of the metadata management

Field Summary
`static java.lang.String` | `EDIT_DOC_FROM_CLIPBOARD` If we are editing a document form the clipboard
`static java.lang.String` | `EDIT_DOC_FROM_UPLOAD` If we are editing a document form the upload
`static java.lang.String` | `EDIT_OLD_DOC` If we are re-editing an existing document
`static java.lang.String` | `PUBLISH_DOC_FROM_CLIPBOARD` If we are publishing a document form the clipboard
`static java.lang.String` | `PUBLISH_DOC_FROM_UPLOAD` If we are publishing a document form the upload
`static java.lang.String` | `PUBLISH_EDITED_DOC` If we are publishing a document wich have still been edited before
`static java.lang.String` | `REJECT_DOC` If we are rejecting a document wich have still been edited before
`static java.lang.String` | `SET_METADATA` If we are only setting metadata

Constructor Summary
`MetadataManagerAction()`

Method Summary
`static java.lang.StringBuffer` | `renderXmlMetadataManager(org.jasig.portal.ChannelRuntimeData runtimeData, java.lang.StringBuffer stylesheet, java.util.ArrayList spaces, java.util.ArrayList metadataToSet, java.lang.String userPortalLogin, java.util.Vector userGroups, Space currentSpace, DirectoryProperties directoryProperties, BufferAction buffer, java.lang.String currentSortType)` Generate the xml for the metadata management

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EDIT_DOC_FROM_CLIPBOARD

    public static final java.lang.String EDIT_DOC_FROM_CLIPBOARD

  If we are editing a document form the clipboard

  See Also:
    Constant Field Values

### EDIT_DOC_FROM_UPLOAD

    public static final java.lang.String EDIT_DOC_FROM_UPLOAD

  If we are editing a document form the upload

  See Also:
    Constant Field Values

### EDIT_OLD_DOC

    public static final java.lang.String EDIT_OLD_DOC

  If we are re-editing an existing document

  See Also:
    Constant Field Values

### SET_METADATA

    public static final java.lang.String SET_METADATA

  If we are only setting metadata

  See Also:
    Constant Field Values

### PUBLISH_DOC_FROM_CLIPBOARD

    public static final java.lang.String PUBLISH_DOC_FROM_CLIPBOARD

  If we are publishing a document form the clipboard

  See Also:
    Constant Field Values

### PUBLISH_DOC_FROM_UPLOAD

    public static final java.lang.String PUBLISH_DOC_FROM_UPLOAD

  If we are publishing a document form the upload

  See Also:
    Constant Field Values

### PUBLISH_EDITED_DOC

    public static final java.lang.String PUBLISH_EDITED_DOC

  If we are publishing a document wich have still been edited before

  See Also:
    Constant Field Values

### REJECT_DOC

    public static final java.lang.String REJECT_DOC

  If we are rejecting a document wich have still been edited before

  See Also:
    Constant Field Values

Constructor Detail

### MetadataManagerAction

    public MetadataManagerAction()

Method Detail

### renderXmlMetadataManager

    public static java.lang.StringBuffer renderXmlMetadataManager(org.jasig.portal.ChannelRuntimeData runtimeData,
                                                                  java.lang.StringBuffer stylesheet,
                                                                  java.util.ArrayList spaces,
                                                                  java.util.ArrayList metadataToSet,
                                                                  java.lang.String userPortalLogin,
                                                                  java.util.Vector userGroups,
                                                                  Space currentSpace,
                                                                  DirectoryProperties directoryProperties,
                                                                  BufferAction buffer,
                                                                  java.lang.String currentSortType)
                                                           throws ChannelException

  Generate the xml for the metadata management

  Parameters:
    `runtimeData` - the channel runtime data
    `stylesheet` - the stylesheet used
    `spaces` - the spaces list
    `metadataToSet` - the metadata list to set
    `userPortalLogin` - the user portal login
    `userGroups` - the user portal groups
    `currentSpace` - the current space
    `directoryProperties` - the current directory properties
    `buffer` - the buffer used for the clipboard
    `currentSortType` - The current and default sort type for the resources
  Returns:
    the xml generation
  Throws:
    `ChannelException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD